Cheddar is a real time scheduling analysis tool. This program provides services to 
check schedulability of architectures models.

With Cheddar, you can:

	- Draw scheduling with usual real time schedulers 
	- Compute task response times 
	- Compute processor utilization factor
	- Check for a given scheduling period, if deadlines are met.
	- Compute blocking time on shared resources.
	- Give information on buffer requirement.
	- ...

See http://beru.univ-brest.fr/cheddar for detailed features and user's guide.

#HOW TO INSTALL

##With VirtualBox, on any computer (PC linux or windows, or Mac, or whatever you want) :

You should be able to run Cheddar on any computer with VirtualBox.
For such a purpose:

1) Download the cheddar_tutorial.vdi file and copy it on your computer.
2) Define a Linux/ubuntu machine with enough memory and launch it.
3) When login prompt appears, you can connect to this linux machine either with a french or a english keyboard (see on the right top part of the window to select keyword layout).
4) The login to use is 'cheddar' and the password is 'cheddar' also
5) When logged, launch a terminal and do
    source cheddar.bash
6) Then, in this terminal, you can actually run cheddar as follows :
    cheddar &

##For Windows:

To install Cheddar in windows boxes, just unzip the
zip file. For win32 boxes, all necessary DLL are
provided into the zip file.

Then, you can directly click on the binary 'cheddar.exe' 
of this folder to launch Cheddar.

##For Linux:

1) Untar the binaries in the target directory
2) To be able to run cheddar, the shell variables of the file cheddar.bash must be set. For such a purpose : set CHEDDAR_INSTALL_PATH of cheddar.bash to the location where you have unzip the Cheddar tar ball
3) put cheddar.bash in your configuration login shell (e.g. .bashrc or .profile or .tcsh for example) or use the source shell command as follow :
    source cheddar.bash
4) Then, you can actually run cheddar as follows :


#CONTACT

Feel free to contact us if you have any problems. Cheddar's mailing list (cheddar@listes.univ-brest.fr, need a subscription before posting).


#SPONSORS

The project is/was sponsored by 

- Ellidiss Technologies
- Conseil regional de Bretagne, Conseil general du Finistere and Bretagne Metropole 
- Campus France
- H2020 MOSAR
- BPI France
- Thales communication
- Universite de Bretagne Occidentale and the Lab-STICC laboratory

#AUTHORS

Cheddar is mainly designed and developed by :

F. Singhoff <singhoff@univ-brest.fr>
J. Legrand <jerome.legrand@ellidiss.com>
H.N. Tran <hai-nam.tran@univ-brest.fr>
A. Plantec <plantec@univ-brest.fr>
S. Rubini <rubini@univ-brest.fr>


Other contributors :

J. Ait Oufella
L. Allache
Y. Allain
I. Atchadam
M. Auer
M. Baert
S. Bothorel
R. Bouaziz
E. Cadour
F. Charlet
N. Chauvin
P.V. Chinh
R. Couillet
V. Cuiec
P. Dissaux
S. Demurget
B. Djika
M. Dridi
S. Edzang
C. Fotsing
R. Frin
V. Gaudel
D. Geffroy
M. Gning
W. Guillo
S. Herry
T. Huertas
J. Hugues
A. Huopana
H. Ihamouten
M. Kerboeuf
H. Lapinoja
T. Lannuzel
G. Laurens
A. Le bot 
L. Lemarchand
S. Li
H. Martin
L. Moal
L. Morin
M. F. Mouflih
C. Muller
C. Mouden
P. Normand
V.A. Nicolas
M. Nivala
G. Oliva
L . Pautet
R. Prevot
A. Sylia 
D. Saulnier
M. Strauss
F. Touahria
E. Thomas
N. Vienne
E. Vilain
N.H. Vuong
B. Zalila
P. Zhang














